[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDataSetNotifyEvent

Event handler prototype for dataset events

## Declaration

Source position: db.pas line 1291

`type TDataSetNotifyEvent = procedure(`
`DataSet: TDataSet`
`) of object;`

## Arguments

`DataSet` |  | Dataset which triggered the event

## Description

TDatasetNotifyEVent is used in most of the TDataset event handlers. It differs from the more general TNotifyEvent (defined in the Classes unit) in that the Sender parameter of the latter is replaced with the Dataset parameter. This avoids typecasts, the available TDataset methods can be used directly.

## See also

TDataset |  | Base class for records-based data-access

Documentation generated on: Feb 26 2014